From 572a9e7e7a5ccc81c933ff295527571d3aedc235 Mon Sep 17 00:00:00 2001
From: Joachim Nilsson <Joachim.Nilsson@molybden.se>
Date: Fri, 24 Aug 2012 12:54:15 +0200
Subject: [PATCH 1/2] [Versioning] Stepped maven hpi plugin and maven core to
 avoid  NoClassDefFoundError:
 com/sun/mirror/apt/AnnotationProcessorFactory in java7

---
 jbehave-hudson-plugin/pom.xml  |    5 +++--
 jbehave-jenkins-plugin/pom.xml |   13 ++++++++++---
 2 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/jbehave-hudson-plugin/pom.xml b/jbehave-hudson-plugin/pom.xml
index fcdc5fd..05f0759 100755
--- a/jbehave-hudson-plugin/pom.xml
+++ b/jbehave-hudson-plugin/pom.xml
@@ -11,7 +11,8 @@
   <url>http://jbehave.org/reference/stable/hudson-plugin.html</url>
   
   <properties>
-    <hudson.version>2.1.0</hudson.version>
+    <maven.hpi.plugin.version>3.0.1</maven.hpi.plugin.version>
+    <hudson.version>2.2.1</hudson.version>
     <xunit.plugin.version>1.9</xunit.plugin.version>
   </properties>
 
@@ -64,7 +65,7 @@
       <plugin>
         <groupId>org.jvnet.hudson.tools</groupId>
         <artifactId>maven-hpi-plugin</artifactId>
-        <version>${hudson.version}</version>
+        <version>${maven.hpi.plugin.version}</version>
         <extensions>true</extensions>
       </plugin>
     </plugins>
diff --git a/jbehave-jenkins-plugin/pom.xml b/jbehave-jenkins-plugin/pom.xml
index e00faa7..8ec6588 100755
--- a/jbehave-jenkins-plugin/pom.xml
+++ b/jbehave-jenkins-plugin/pom.xml
@@ -11,8 +11,9 @@
   <url>http://jbehave.org/reference/stable/hudson-plugin.html</url>
 
   <properties>
-    <hudson.version>1.395</hudson.version>
-    <hpi.plugin.version>1.57</hpi.plugin.version>
+    <hudson.test.harness.version>1.395</hudson.test.harness.version>
+    <hudson.version>2.2.1</hudson.version>
+    <hpi.plugin.version>3.0.1</hpi.plugin.version>
     <xunit.plugin.version>1.9</xunit.plugin.version>
   </properties>
 
@@ -38,7 +39,7 @@
     <dependency>
       <groupId>org.jvnet.hudson.main</groupId>
       <artifactId>hudson-test-harness</artifactId>
-      <version>${hudson.version}</version>
+      <version>${hudson.test.harness.version}</version>
       <scope>test</scope>
     </dependency>
     <dependency>
@@ -53,6 +54,12 @@
       <version>1.3</version>
       <scope>test</scope>
     </dependency>
+	<dependency>
+		<groupId>javax.servlet</groupId>
+		<artifactId>servlet-api</artifactId>
+		<version>2.4</version>
+		<scope>provided</scope>
+	</dependency>    
   </dependencies>
 
   <build>
-- 
1.7.7.1.msysgit.0

